-- Copyright (c) 2008-2009, Vyacheslav Yurkov <uvv.mail@gmail.com>
-- All rights reserved.

CREATE OR REPLACE FUNCTION INET_ATON (ipStr in varchar2) return number
as
    lIpNum number := 0;
    point1 number := 0;
    point2 number := 0;
    point3 number := 0;
    octet1 number;
    octet2 number;
    octet3 number;
    octet4 number;
begin
    if ipStr is not null then
        point1 := instr(ipStr, '.', 1, 1);
        point2 := instr(ipStr, '.', 1, 2);
        point3 := instr(ipStr, '.', 1, 3);
        octet4 := to_number(substr(ipStr, 0, point1 - 1));
        octet3 := to_number(substr(ipStr, point1 + 1, point2 - point1 - 1));
        octet2 := to_number(substr(ipStr, point2 + 1, point3 - point2 - 1));
        octet1 := to_number(substr(ipStr, point3 + 1));
        lIpNum := (octet1 * power(2,24)) + (octet2 * 65536) + 
                  (octet3 * 256) + octet4;
    end if;
    return lIpNum;
end;
/
 
CREATE OR REPLACE FUNCTION INET_NTOA (ipNum in number) return VARCHAR2
as
    lIpStr varchar2(15);
    t1 integer;
    t2 integer;
    t3 integer;
    t4 integer;
begin
    t1 := floor(ipNum / power(2,24));
    t2 := floor((ipNum - t1 * power (2,24)) / 65536);
    t3 := floor((ipNum - t1 * power (2,24) - t2 * 65536) / 256);
    t4 := ipNum - t1 * power (2,24) - t2 * 65536 - t3 * 256;
    lIpStr := to_char(t4) || '.' || to_char(t3) || '.' ||
              to_char(t2) || '.' || to_char(t1) ;
    return lIpStr;
end;
/
 
