-- Copyright (c) 2004-2006, Andrew Klyachkin <andrewk@region73.ru>
-- Copyright (c) 2008-2009, Vyacheslav Yurkov <uvv.mail@gmail.com>
-- All rights reserved.

-- sample file for creating tables in MySQL database.

CREATE TABLE headers (
    address     integer unsigned,
    version_id  smallint unsigned,
    count_id    smallint unsigned,
    uptime      integer unsigned,
    secs        integer unsigned,
    nsecs       integer unsigned,
    flowseq     integer unsigned,
    engine      tinyint unsigned,
    eng_id      tinyint unsigned,
    sampling    smallint unsigned,
    resv        integer unsigned,
    time_id     timestamp default current_timestamp on update current_timestamp
);

CREATE TABLE flows (
    address         integer unsigned,
    version_id      smallint unsigned,
    number_id       bigint unsigned,
    srcaddr         integer unsigned,
    dstaddr         integer unsigned,
    nexthop         integer unsigned,
    input_if        smallint unsigned,
    output_if       smallint unsigned,
    dpkts           integer unsigned,
    doctets         integer unsigned,
    fuptime         bigint unsigned,
    luptime         bigint unsigned,
    srcport         smallint unsigned,
    dstport         smallint unsigned,
    resv1           smallint unsigned,
    prot            tinyint unsigned,
    tos             tinyint unsigned,
    flags           tinyint unsigned,
    tcp_retx_cnt    tinyint unsigned,
    tcp_retx_sec    tinyint unsigned,
    tcp_misseq_cnt  tinyint unsigned,
    resv2           integer unsigned,
    src_as          smallint unsigned,
    dst_as          smallint unsigned,
    srcmask         tinyint unsigned,
    dstmask         tinyint unsigned,
    mode            tinyint unsigned,
    router          integer unsigned,
    time_id         timestamp default current_timestamp on update current_timestamp
) engine InnoDB;

