-- Copyright (c) 2008-2009, Vyacheslav Yurkov <uvv.mail@gmail.com>
-- All rights reserved.

-- sample file for creating tables in Oracle database.

create table headers
(
    address     number(10),
    version_id  number,
    count_id    number,
    uptime      number(20),
    secs        number(20),
    nsecs       number(20),
    flowseq     number(20),
    engine      number(3),
    eng_id      number(3),
    sampling    number(5),
    resv        number(20),
    time_id     timestamp (6) default current_timestamp
)
partition by range (time_id)
(
    partition "flows20090616" values less than (to_date('17.06.2009', 'dd.MM.yyyy'))
    tablespace "flows200924"
);
 
create table flows    
( 
    address     number,
    version_id  number,
    number_id   number(20),
    srcaddr     number(10),
    dstaddr     number(10),
    nexthop     number(10), 
    input_if    number,
    output_if   number,
    dpkts       number,
    doctets     number,
    fuptime     number(15),
    luptime     number(15),
    srcport     number,
    dstport     number,
    resv1       number,
    prot        number,
    tos         number,
    flags       number,
    tcp_retx_cnt number(3),
    tcp_retx_sec number(3),
    tcp_misseq_cnt number(3),
    resv2       number,
    src_as      number,
    dst_as      number,
    srcmask     number,
    dstmask     number,
    mode_id     number(3),
    router      number(10),
	time_id timestamp (6) default current_timestamp   
)
partition by range (time_id)
(
    partition "flows20090616" values less than (to_date('17.06.2009', 'dd.MM.yyyy'))
    tablespace "flows200924"
);
