-- Copyright (c) 2008-2009, Vyacheslav Yurkov <uvv.mail@gmail.com>
-- All rights reserved.

-- sample file for creating tables in PostgreSQLL database.

CREATE TABLE headers
(
    address inet,
    version_id integer,
    count_id integer,
    uptime bigint,
    secs bigint,
    nsecs bigint,
    flowseq bigint,
    engine smallint,
    eng_id smallint,
    sampling integer,
    resv bigint,
    time_id timestamp without time zone DEFAULT ('now'::text)::timestamp without time zone
)
WITH (OIDS=FALSE);
ALTER TABLE headers OWNER TO pgsql;

CREATE TABLE flows
(
    address inet,
    version_id integer,
    number_id bigint,
    srcaddr inet,
    dstaddr inet,
    nexthop inet,
    input_if integer,
    output_if integer,
    dpkts bigint,
    doctets bigint,
    fuptime bigint,
    luptime bigint,
    srcport integer,
    dstport integer,
    resv1 integer,
    prot smallint,
    tos smallint,
    flags smallint,
    tcp_retx_cnt smallint,
    tcp_retx_sec smallint,
    tcp_misseq_cnt smallint,
    resv2 integer,
    src_as integer,
    dst_as integer,
    mode_id smallint,
    router inet,
    time_id timestamp without time zone default localtimestamp
)
WITH (OIDS=FALSE);
ALTER TABLE flows OWNER TO pgsql;
